Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Interface DefaultSelectionEventManager.EventTranslator<T>

All Known Implementing Classes:
  DefaultSelectionEventManager.BlacklistEventTranslator, DefaultSelectionEventManager.CheckboxEventTranslator, DefaultSelectionEventManager.WhitelistEventTranslator

Enclosing class:
  DefaultSelectionEventManager<T>

    public static interface DefaultSelectionEventManager.EventTranslator<T>

Translates `CellPreviewEvent`s into `DefaultSelectionEventManager.SelectAction`s.

Method Summary
`boolean` | `clearCurrentSelection(CellPreviewEvent<T> event)` Check whether a user selection event should clear all currently selected values.
`DefaultSelectionEventManager.SelectAction` | `translateSelectionEvent(CellPreviewEvent<T> event)` Translate the user selection event into a `DefaultSelectionEventManager.SelectAction`.

Method Detail

### clearCurrentSelection

    boolean clearCurrentSelection(CellPreviewEvent<T> event)

  Check whether a user selection event should clear all currently selected values.

  Parameters:
    `event` - the `CellPreviewEvent` to translate

### translateSelectionEvent

    DefaultSelectionEventManager.SelectAction translateSelectionEvent(CellPreviewEvent<T> event)

  Translate the user selection event into a `DefaultSelectionEventManager.SelectAction`.

  Parameters:
    `event` - the `CellPreviewEvent` to translate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD